<v-card tile elevation="1" class="mx-4 my-4">
  <v-card-title>
    <span>CONTROL</span>
      <span class="text-h6 font-weight-bold mx-2">[[ selectedConfig !== null ? selectedConfig : 'No config selected']] </span>
      <v-chip variant="flat" v-if="selectedConfig !== null" label :color="state_color(configState)" class="mx-3"> [[ configState ]] </v-chip>
      <v-chip  v-if="highestStatus === 3" color="red" class="mx-3"> crashed modules </v-chip>
      <v-icon v-else-if="highestStatus === 2" icon="mdi-alert-circle" color="red" class="mx-3"> </v-icon>
      <v-icon v-else-if="highestStatus === 1" icon="mdi-alert-circle" color="warning" class="mx-3"> </v-icon>
  </v-card-title>
  <v-card-text>
    <div class="mx-1 my-1 command-line">
      <div>
          <v-btn v-for="action, i in controlButtons['actions']" :loading="loading[action[0]]" :key="i" @click.stop="execute_action(action[0])" class="my-1 mx-1" :disabled="!enabled_action(action[0]) || isSequencer || !interlocked" variant="flat"
            :color="action[1]"> [[ action[0] ]] </v-btn>
      </div>
      <v-btn variant="outlined" @click="sequencerExpanded = true" :disabled="!unlocked['sequencer_btn']">
          <v-progress-circular v-if="isSequencer" :size="30" indeterminate color="primary"
            class="mx-2"></v-progress-circular>
          Sequencer
        </v-btn>
    </div>
    <div v-if="expertMode && selectedNode !== null" class="mx-1 my-1 command-line">
      <div>
        <v-btn v-for="command, i in controlButtons.commands" :key="i" class="my-1 mx-1" variant="flat" :disabled="!enabled_command(command[0]) || !interlocked" 
          :color="command[1]" @click.stop="execute_command(command[0])" :loading="loading[command[0]]" > [[ command[0] ]]
        </v-btn>
      </div>
    </div>
    <div v-if="sequencer_dialog">
        <sequencer_dialog :last_sequencer_state="lastSequencerState" :sequencer_state="sequencerState" @close_seq="sequencerExpanded = false" @stop_seq="stopSequencer"
          @start_seq="startSequence">
        </sequencer_dialog>
      </div>
    <v-row class="px-3 ">
        <v-col cols="6">
          <strong class="blue--text text--darken-4 mr-2">Run Type : </strong> [[ configRunType ]]
        </v-col>
        <v-col cols="6">
          <strong class="blue--text text--darken-4 mr-2">Comment : </strong> [[ configRunComment ]]
        </v-col>
      </v-row>
    <v-row v-if="isSequencer" class="d-flex">
        Sequence is running : [[sequencerState.sequenceName]], sequence no. [[sequencerState.seqNumber]], Step :
        [[sequencerState.stepNumber]] /
        [[sequencerState.totalStepsNumber]]
        <v-progress-linear color="light-blue" height="10"
          :model-value="sequencerState.stepNumber / sequencerState.totalStepsNumber * 100" striped></v-progress-linear>
      </v-row>
  </v-card-text>
</v-card>